package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.UserPlace;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface UserPlaceMapper extends BaseMapper<UserPlace> {
    List<UserPlace> getByUserId(@Param("userId") Long userId);

    UserPlace getByUserIdAndPlaceId(@Param("userId") Long userId, @Param("placeId") Long placeId);

    List<Map<String, Object>> getCurrentPlacesByUserId(@Param("userId") Long userId);

    int deleteByUserIdAndPlaceId(@Param("userId") Long userId, @Param("placeId") Long placeId);

    int deleteByUserId(@Param("userId") Long userId);
}
